# Y:/msp/devkits/temp_geotrans/master/geotrans3.1/CCS/src/dtcc/CoordinateSystems/datum/DatumLibraryImplementation.cpp File Reference

`#include <math.h>`
`#include <stdlib.h>`
`#include <ctype.h>`
`#include "DatumLibraryImplementation.h"`
`#include "EllipsoidLibraryImplementation.h"`
`#include "EllipsoidParameters.h"`
`#include "SevenParameterDatum.h"`
`#include "ThreeParameterDatum.h"`
`#include "Geocentric.h"`
`#include "Datum.h"`
`#include "CartesianCoordinates.h"`
`#include "GeodeticCoordinates.h"`
`#include "CoordinateConversionException.h"`
`#include "ErrorMessages.h"`
`#include "Accuracy.h"`
`#include "CCSThreadMutex.h"`
`#include "CCSThreadLock.h"`

Go to the source code of this file.

## Classes

class | MSP::CCS::DatumLibraryImplementationCleaner

## Functions

GeodeticCoordinates * | molodenskyShift (const double a, const double da, const double f, const double df, const double dx, const double dy, const double dz, const double sourceLongitude, const double sourceLatitude, const double sourceHeight)

## Variables

const double | SECONDS_PER_RADIAN = 206264.8062471
const double | PI = 3.14159265358979323e0
const double | PI_OVER_2 = (PI / 2.0)
const double | PI_OVER_180 = (PI / 180.0)
const double | _180_OVER_PI = (180.0 / PI)
const double | TWO_PI = (2.0 * PI)
const double | MIN_LAT = (-PI/2.0)
const double | MAX_LAT = (+PI/2.0)
const double | MIN_LON = -PI
const double | MAX_LON = (2.0 * PI)
const int | DATUM_CODE_LENGTH = 7
const int | DATUM_NAME_LENGTH = 33
const int | ELLIPSOID_CODE_LENGTH = 3
const int | MAX_7PARAM = 25
const int | MAX_3PARAM = 250
const int | MAX_WGS = 2
const double | MOLODENSKY_MAX = (89.75 * PI_OVER_180)
const int | FILENAME_LENGTH = 128
const char * | WGS84_Datum_Code = "WGE"
const char * | WGS72_Datum_Code = "WGC"
class MSP::CCS::DatumLibraryImplementationCleaner | datumLibraryImplementationCleanerInstance

## Function Documentation

GeodeticCoordinates* molodenskyShift | ( | const double | a,
|  | const double | da,
|  | const double | f,
|  | const double | df,
|  | const double | dx,
|  | const double | dy,
|  | const double | dz,
|  | const double | sourceLongitude,
|  | const double | sourceLatitude,
|  | const double | sourceHeight |
| ) |  |  |

Definition at line 204 of file DatumLibraryImplementation.cpp.

## Variable Documentation

const double _180_OVER_PI = (180.0 / PI)

Definition at line 181 of file DatumLibraryImplementation.cpp.

const int DATUM_CODE_LENGTH = 7

Definition at line 187 of file DatumLibraryImplementation.cpp.

const int DATUM_NAME_LENGTH = 33

Definition at line 188 of file DatumLibraryImplementation.cpp.

class MSP::CCS::DatumLibraryImplementationCleaner datumLibraryImplementationCleanerInstance

const int ELLIPSOID_CODE_LENGTH = 3

Definition at line 189 of file DatumLibraryImplementation.cpp.

const int FILENAME_LENGTH = 128

Definition at line 194 of file DatumLibraryImplementation.cpp.

const int MAX_3PARAM = 250

Definition at line 191 of file DatumLibraryImplementation.cpp.

const int MAX_7PARAM = 25

Definition at line 190 of file DatumLibraryImplementation.cpp.

const double MAX_LAT = (+PI/2.0)

Definition at line 184 of file DatumLibraryImplementation.cpp.

const double MAX_LON = (2.0 * PI)

Definition at line 186 of file DatumLibraryImplementation.cpp.

const int MAX_WGS = 2

Definition at line 192 of file DatumLibraryImplementation.cpp.

const double MIN_LAT = (-PI/2.0)

Definition at line 183 of file DatumLibraryImplementation.cpp.

const double MIN_LON = -PI

Definition at line 185 of file DatumLibraryImplementation.cpp.

const double MOLODENSKY_MAX = (89.75 * PI_OVER_180)

Definition at line 193 of file DatumLibraryImplementation.cpp.

const double PI = 3.14159265358979323e0

Definition at line 178 of file DatumLibraryImplementation.cpp.

const double PI_OVER_180 = (PI / 180.0)

Definition at line 180 of file DatumLibraryImplementation.cpp.

const double PI_OVER_2 = (PI / 2.0)

Definition at line 179 of file DatumLibraryImplementation.cpp.

const double SECONDS_PER_RADIAN = 206264.8062471

Definition at line 177 of file DatumLibraryImplementation.cpp.

const double TWO_PI = (2.0 * PI)

Definition at line 182 of file DatumLibraryImplementation.cpp.

const char* WGS72_Datum_Code = "WGC"

Definition at line 196 of file DatumLibraryImplementation.cpp.

const char* WGS84_Datum_Code = "WGE"

Definition at line 195 of file DatumLibraryImplementation.cpp.